Namespaces | Typedefs
IWORKTypes_fwd.h File Reference
`#include <deque>`
`#include <memory>`
`#include <string>`
`#include <unordered_map>`

Go to the source code of this file.

## Namespaces
| libetonyek

## Typedefs
typedef std::string | libetonyek::ID_t
typedef std::deque< IWORKColumnRowSize > | libetonyek::IWORKColumnSizes_t
typedef std::deque< IWORKColumnRowSize > | libetonyek::IWORKRowSizes_t
typedef unsigned | libetonyek::IWORKOutputID_t
typedef std::unordered_map< ID_t, IWORKOutputID_t > | libetonyek::IWORKOutputMap_t
typedef std::unordered_map< std::string, std::string > | libetonyek::IWORKTableNameMap_t
typedef std::shared_ptr< IWORKTableNameMap_t > | libetonyek::IWORKTableNameMapPtr_t
typedef std::unordered_map< std::string, std::string > | libetonyek::IWORKContentMap_t
typedef std::shared_ptr< IWORKGeometry > | libetonyek::IWORKGeometryPtr_t
typedef std::shared_ptr< IWORKLine > | libetonyek::IWORKLinePtr_t
typedef std::shared_ptr< IWORKData > | libetonyek::IWORKDataPtr_t
typedef std::unordered_map< ID_t, IWORKDataPtr_t > | libetonyek::IWORKDataMap_t
typedef std::shared_ptr< IWORKMediaContent > | libetonyek::IWORKMediaContentPtr_t
typedef std::unordered_map< ID_t, IWORKMediaContentPtr_t > | libetonyek::IWORKMediaContentMap_t
typedef std::shared_ptr< IWORKImage > | libetonyek::IWORKImagePtr_t
typedef std::unordered_map< ID_t, IWORKImagePtr_t > | libetonyek::IWORKImageMap_t
typedef std::shared_ptr< IWORKMedia > | libetonyek::IWORKMediaPtr_t
typedef std::shared_ptr< IWORKWrap > | libetonyek::IWORKWrapPtr_t
typedef std::shared_ptr< IWORKGroup > | libetonyek::IWORKGroupPtr_t
typedef std::shared_ptr< IWORKTableData > | libetonyek::IWORKTableDataPtr_t
typedef std::shared_ptr< IWORKTable > | libetonyek::IWORKTablePtr_t
typedef std::unordered_map< ID_t, IWORKTablePtr_t > | libetonyek::IWORKTableMap_t